package sentio

type Strategy interface {
	Name() string

	Model() string
	MarketId() string
	PositionSymbols() map[Side]string
	PositionProbabilities() map[Side]float64
	Interval() uint8

	Handle(market Market, probability Probability) error
}
